{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in
# TODO: ménage
mkIf cfg.internetSuite {

# Paquets
environment.systemPackages = with pkgs; [
    # Clients Internet

    ## Réseaux sociaux
    #python27Packages.turses           # client twitter en ncurse
    python27Packages.rainbowstream    # client twitter en console
    rtv                               # client reddit en console

    ## Mail & Discussion (texte, audio)
    mutt

    ## Sauvegarde nuagique (cloud storage)
    rclone
  ];
}
