{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{
  imports = [

    # installées systématiquement
    ./environment.nix
    ./localisation.nix
    ./network.nix
    #./network-ipv6.nix
    ./udev.nix

    # commandées par config-generator
    ## option de configuration spécifique
    ./auto-upgrade.nix              # mise à jour automatique du système
    ./awesome.nix               # pour le gestionaire de fenêtres awesome
    ./laptop.nix                    # appli & configuration adaptée pour un PC portable
    ./swap.nix                      # définition de l'utilisation du swap
  ];
}
