{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf (cfg.edition-video && cfg.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Vidéo
    #cinelerra     # editeur video
    pitivi        # montage vidéo
  ];
}
