{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf (true && cfg.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    ## Diagnostic
    wireshark
  ];
}
