{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf (cfg.securitySuite && cfg.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    gnome3.seahorse # gestionnaire graphique de clef GPG
    #yubikey-personalization-gui # utilisation de la clef Yubikey
  ];
}
