{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.cartographie {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Gestion de données géographiques
    expat
    gpsbabel      # pour convertir les données des GPS
  ];
}
